> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete automation rule

> Delete an automation rule by ID.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/automation-rules.yaml DELETE /automation-rules/{id}
openapi: 3.0.3
info:
  title: NeetoCal Automation Rules APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Automation Rules
    description: APIs to create automation rules for sending calendar invites.
paths:
  /automation-rules/{id}:
    delete:
      tags:
        - Automation Rules
      summary: Delete an automation rule
      description: Delete an automation rule by ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: id
          description: Unique identifier of the automation rule to delete.
          required: true
          schema:
            type: string
            example: efb296a3-8205-419f-8ac4-1abfc46bc3c7
      responses:
        '204':
          description: No Content
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string

````